package net.jaekl.cfb.db.driver;

// Copyright (C) 2015 Christian Jaekl

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;

import net.jaekl.cfb.db.Column;
import net.jaekl.cfb.db.Table;

public class PostgresqlDriver extends DbDriver {

	@Override
	public void load() throws ClassNotFoundException {
		// This should no longer be necessary, so long as we're using 
		// JDBC 4 (which came out with JDK 6) and an updated driver.
		// But, it shouldn't hurt, either.
		Class.forName("org.postgresql.Driver");
	}

	@Override
	public Connection connect(String host, int port, String dbName, String user, String pass) throws SQLException {
		String url = "jdbc:postgresql://" + host + ":" + port + "/" + dbName;
		Properties props = new Properties();
		props.setProperty("user", user);
		props.setProperty("password", pass);
		//props.setProperty("ssl", "true");
		return DriverManager.getConnection(url, props);
	}

	@Override
	public ResultSet selectColumnsFromWhere(Column[] columns, Table[] tables, String where) {
		// TODO Auto-generated method stub
		return null;
	}

}
